"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNodeExecutionTrace = void 0;
exports.isExecutionTrace = isExecutionTrace;
function isExecutionTrace(config) {
    return ('inputs' in config ||
        'outputs' in config ||
        'errors' in config ||
        'startTime' in config ||
        'endTime' in config ||
        'narratives' in config);
}
/**
 * @deprecated Use `isExecutionTrace` instead.
 *
 * ⚠️ `isNodeExecutionTrace` is deprecated and will be removed in a future release.
 * Migrate to `isExecutionTrace` to ensure compatibility with future updates.
 */
exports.isNodeExecutionTrace = isExecutionTrace;
