"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.safeError = safeError;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function safeError(error) {
    if (error instanceof Error) {
        return {
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            code: error?.code,
            name: error.name,
            message: error.message
            // stack: error.stack
        };
    }
    try {
        return JSON.parse(JSON.stringify(error));
    }
    catch {
        return String(error);
    }
}
