export declare function execute<INPUT extends unknown[], OUTPUT, RESPONSE = OUTPUT, ERROR = RESPONSE>(blockFunction: (...params: INPUT) => OUTPUT, inputs: INPUT, extraInputs?: Record<string, unknown>[], successCallback?: (output: OUTPUT, isPromise: boolean) => RESPONSE, errorCallback?: (error: unknown, isPromise: boolean) => ERROR): RESPONSE;
export declare function execute<INPUT extends unknown[], OUTPUT, RESPONSE = OUTPUT, ERROR = RESPONSE>(blockFunction: (...params: INPUT) => Promise<OUTPUT>, inputs?: INPUT, extraInputs?: Record<string, unknown>[], successCallback?: (output: OUTPUT, isPromise: boolean) => RESPONSE, errorCallback?: (error: unknown, isPromise: boolean) => ERROR): Promise<RESPONSE>;
//# sourceMappingURL=execute.d.ts.map