"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNodeTrace = void 0;
exports.isEngineNodeTrace = isEngineNodeTrace;
function isEngineNodeTrace(config) {
    return typeof config === 'object' && ('id' in config || 'label' in config || 'parent' in config);
}
/**
 * @deprecated Use `isEngineNodeTrace` instead.
 *
 * ⚠️ `isNodeTrace` is deprecated and will be removed in a future release.
 * Migrate to `isEngineNodeTrace` to ensure compatibility with future updates.
 */
exports.isNodeTrace = isEngineNodeTrace;
