/**
 * tests if a given string could be an xpath (with accessors)
 * @param key
 */
export declare function isXPath(key: string): boolean;
/**
 * @param object object or array of objects to search in by xPath
 * @param xPath example: "[key=businessUnitCode].value"
 * @param options
 */
export declare function queryByXPath(object: unknown | Array<unknown>, xPath: string, options?: {
    searchInArrayElements?: 'ALL' | 'FIRST';
}): unknown | Array<unknown>;
/**
 *
 * @param object object or array of objects to extract from
 * @param xPaths array of xPaths to queryBy
 * @example extract(object, ['inputs.number', 'parent', 'outputs.others.2.key', 'outputs.others[key=Y].value'])
 */
export declare function extract(object: any, xPaths: Array<string>): {
    [x: string]: unknown;
}[];
//# sourceMappingURL=jsonQuery.d.ts.map